Loading...
Searching...
No Matches
BALL::VIEW::RunPythonThread Class Reference

`#include <BALL/VIEW/WIDGETS/pyWidget.h>`

Inheritance diagram for BALL::VIEW::RunPythonThread:

## Public Member Functions

| RunPythonThread ()
virtual void | run ()

## Public Attributes

bool | state
String | input
String | output

## Detailed Description

Definition at line 86 of file pyWidget.h.

## Constructor & Destructor Documentation

## RunPythonThread()

BALL::VIEW::RunPythonThread::RunPythonThread | ( |  | ) |

## Member Function Documentation

## run()

virtual void BALL::VIEW::RunPythonThread::run | ( |  | ) |

virtual

## Member Data Documentation

## input

String BALL::VIEW::RunPythonThread::input

Definition at line 96 of file pyWidget.h.

## output

String BALL::VIEW::RunPythonThread::output

Definition at line 97 of file pyWidget.h.

## state

bool BALL::VIEW::RunPythonThread::state

Definition at line 95 of file pyWidget.h.